JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.HARDWAREINPUT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.HARDWAREINPUT

Direct Known Subclasses:
  WinUser.HARDWAREINPUT.ByReference

Enclosing interface:
  WinUser

    public static class WinUser.HARDWAREINPUT

extends Structure

Contains information about a simulated message generated by an input device other than a keyboard or mouse.

Nested Class Summary
`static class` | `WinUser.HARDWAREINPUT.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`WinDef.DWORD` | `uMsg`
`WinDef.WORD` | `wParamH`
`WinDef.WORD` | `wParamL`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.HARDWAREINPUT()`
`WinUser.HARDWAREINPUT(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### uMsg

    public WinDef.DWORD uMsg

### wParamL

    public WinDef.WORD wParamL

### wParamH

    public WinDef.WORD wParamH

Constructor Detail

### WinUser.HARDWAREINPUT

    public WinUser.HARDWAREINPUT()

### WinUser.HARDWAREINPUT

    public WinUser.HARDWAREINPUT(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.